It is currently Thu Feb 21, 2019 7:53 am


All times are UTC




Post new topic Reply to topic  [ 15 posts ]  Go to page Previous  1, 2
Author Message
 Post subject: Re: HOW TO install GNS3 v1.0 beta on Ubuntu/Linux Mint/Debia
PostPosted: Sat Oct 18, 2014 5:45 am 
Offline

Joined: Fri Mar 05, 2010 11:33 am
Posts: 1494
Location: Australia
@ enderst - sorry. Try now. Should be 1.7



_________________
RedNectar
http://rednectar.net
@rednectarchris
GNS3 WorkBench-a VMware image of Ubuntu with GNS3 and VPCS installed and a collection of exercises/labs


Top
 Profile  
 
 Post subject: Re: HOW TO install GNS3 v1.0 beta on Ubuntu/Linux Mint/Debia
PostPosted: Sat Oct 18, 2014 2:19 pm 
Offline

Joined: Sun Jun 08, 2014 10:44 pm
Posts: 4
Your latest script fixed my issues.
Thanks for adding in the directory structure fix as well, nice touch.

Oh and the desktop launchers.

Now I'm getting:
Code:
ImportError: cannot import name 'ContextualZipFile'

I see you've had the issue and no resolution except to scrap and reinstall.


Thanks for this script, really is a huge time saver!

Update:
Tried updating the OS, still get the same error.
"Linux Mint 17 Qiana" 32bit


Top
 Profile  
 
 Post subject: Re: HOW TO install GNS3 v1.0 beta on Ubuntu/Linux Mint/Debia
PostPosted: Sat Oct 18, 2014 7:34 pm 
Offline

Joined: Fri Mar 05, 2010 11:33 am
Posts: 1494
Location: Australia
I'm tearing my hair out on this one!!!

Thishappened to me at one stage, and I had to go back to my original install and run the script again!!!

At the moment I don't have a better answer - really sorry about that. I can muddle my way with bash scripting, but when it gets to the finer intricacies of why git and python don't work, I'm lost.

_________________
RedNectar
http://rednectar.net
@rednectarchris
GNS3 WorkBench-a VMware image of Ubuntu with GNS3 and VPCS installed and a collection of exercises/labs


Top
 Profile  
 
 Post subject: Re: HOW TO install GNS3 v1.0 beta on Ubuntu/Linux Mint/Debia
PostPosted: Sat Oct 18, 2014 8:19 pm 
Offline
Site Admin

Joined: Sat Oct 11, 2008 1:41 pm
Posts: 2668
Location: Canada
Hi Rednectar,

I've looked at various blogs/posts on Internet, it seems this is a pip issue. Have you tried to upgrade to the latest version?

Code:
pip3 install -U pip

_________________
Jeremy, GNS3 Programmer & Benevolent Dictator for Life.


Top
 Profile  
 
 Post subject: Re: HOW TO install GNS3 v1.0 beta on Ubuntu/Linux Mint/Debia
PostPosted: Sat Oct 18, 2014 10:52 pm 
Offline

Joined: Sun Jun 08, 2014 10:44 pm
Posts: 4
Not finding a fix for this on google or my googlefu just sucks.

grossmj
I get:
Code:
Requirement already up-to-date: pip in /usr/local/lib/python3.4/dist-packages
Cleaning up...

No change, still get "ImportError: cannot import name 'ContextualZipFile'"

rednectar
I'm sure I will reinstall.




Top
 Profile  
 
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 15 posts ]  Go to page Previous  1, 2

All times are UTC


Who is online

Users browsing this forum: No registered users and 0 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
Powered by phpBB® Forum Software © phpBB Group

phpBB SEO